[SCM] Debian Live initramfs hook branch, master, updated. 1.139.1-3-14-gbb27306

Chris Lamb lamby at debian.org
Wed Oct 1 00:05:27 UTC 2008


The following commit has been merged in the master branch:
commit 5d98a2758e53409e361cefe5817feddc89294d38
Author: Chris Lamb <lamby at debian.org>
Date:   Wed Oct 1 00:58:38 2008 +0100

    Reflow long 'tr'-based pipelines for readability.
    
    Signed-off-by: Chris Lamb <lamby at debian.org>

diff --git a/bin/live-snapshot b/bin/live-snapshot
index bf0e332..85a0ab5 100755
--- a/bin/live-snapshot
+++ b/bin/live-snapshot
@@ -411,9 +411,18 @@ Do_snapshot ()
 			then
 				# Convert \0 to \n and tag existing (rare but possible) \n in filenames,
 				# this to let grep -F -v do a proper work in filtering out
-				cat "${TMP_FILELIST}" | tr '\n' '\1' | tr '\0' '\n' | grep -F -v -f "${EXCLUDE_LIST}" | tr '\n' '\0' | tr '\1' '\n' | cpio --quiet -o0 -H newc | gzip -9c > "${DEST}" || exit 1
+				cat "${TMP_FILELIST}" | \
+					tr '\n' '\1' | \
+					tr '\0' '\n' | \
+					grep -F -v -f "${EXCLUDE_LIST}" | \
+					tr '\n' '\0' | \
+					tr '\1' '\n' | \
+					cpio --quiet -o0 -H newc | \
+					gzip -9c > "${DEST}" || exit 1
 			else
-				cat "${TMP_FILELIST}" | cpio --quiet -o0 -H newc | gzip -9c > "${DEST}" || exit 1
+				cat "${TMP_FILELIST}" | \
+					cpio --quiet -o0 -H newc | \
+					gzip -9c > "${DEST}" || exit 1
 			fi
 			cd "${OLDPWD}"
 			;;

-- 
Debian Live initramfs hook



More information about the debian-live-changes mailing list